package com.acme.structure.exception.main;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;

public class PeriodTooLongException extends InfrastructureException
{
    private String reason;

    public PeriodTooLongException(String reason)
    {
        exceptionCode = "22";
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;

        this.reason = reason;
    }

    public String getReason()
    {
        return reason;
    }

}
