package com.accmee.quiz.mobile;

import oracle.adfmf.java.beans.PropertyChangeListener;
import oracle.adfmf.java.beans.PropertyChangeSupport;

public class QuizLangMBean
{
    private String translateWay;
    private transient PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    public QuizLangMBean()
    {
        super();
    }

    public void setTranslateWay(String translateWay)
    {
        String oldTranslateWay = this.translateWay;
        this.translateWay = translateWay;
        propertyChangeSupport.firePropertyChange("translateWay", oldTranslateWay, translateWay);
    }

    public void addPropertyChangeListener(PropertyChangeListener l)
    {
        propertyChangeSupport.addPropertyChangeListener(l);
    }

    public void removePropertyChangeListener(PropertyChangeListener l)
    {
        propertyChangeSupport.removePropertyChangeListener(l);
    }

    public String getTranslateWay()
    {
        return translateWay;
    }
}
