package com.acme.structure.ui;


import com.acme.structure.exception.base.ApplicationException;

import java.util.ArrayList;
import java.util.Collection;

public class ExceptionDispatcher implements ExceptionHandler
{
    public Collection handleException(Exception exc)
    {
        Collection userInformationList = new ArrayList();
        try
        {
            throw exc;
        }
        catch (ApplicationException handledException)
        {
            userInformationList.add(WindowManager.getInstance().getStatusUtil().checkedExceptionOccured(handledException));
        }
        catch (Exception handledException)
        {
            Throwable temp = handledException;
            if (temp.getCause() == null)
                userInformationList.add(WindowManager.getInstance().getStatusUtil().criticalErrorOccured(exc));
            else
                while ((temp = temp.getCause()) != null)
                {
                    userInformationList.add(WindowManager.getInstance().getStatusUtil().criticalErrorOccured(exc));
                }
        }

        return userInformationList;
    }

    public Collection handleExceptions(Collection exceptionList)
    {
        return WindowManager.getInstance().getStatusUtil().checkedExceptionsOccured(exceptionList);
        /*
		Iterator<Exception> itr=exc.iterator();
		
		while(itr.hasNext())
			handleException(itr.next());
		 */
    }

}
