package com.acme.structure.ui;


import com.acme.structure.util.ResourceHelper;

import java.util.Collection;
import java.util.Iterator;
import java.util.Locale;

public class UIHelper
{
    public static String getStringResourceItem(String moduleShortName, String itemName)
    {
        return ResourceHelper.getStringResourceItem(moduleShortName, itemName, getCurrentLocale());
    }

    public static String getStringResourceItem(String moduleShortName, String itemName, Locale currentLocale)
    {
        return ResourceHelper.getStringResourceItem(moduleShortName, itemName, currentLocale);
    }

    public static Object getVisualResourceItem(String itemName)
    {
        return ResourceHelper.getVisualResourceItem(itemName);
    }

    public static void showInformationMessages(Collection informationMessageList)
    {
        UserInformationMessage informationMessage = null;
        Iterator itr = informationMessageList.iterator();
        while (itr.hasNext())
        {
            informationMessage = (UserInformationMessage)itr.next();
            showInformationMessage(informationMessage);
        }
    }

    public static Locale getCurrentLocale()
    {
        return new Locale("tr", "TR");
        //return JSFUtils.getCurrentLocale();
    }

    public static void showInformationMessage(UserInformationMessage informationMessage)
    {
        //        switch (informationMessage.getMessageType().intValue())
        //        {
        //        case UserInformationMessage.INFO_MESSAGE_TYPE_ERROR.intValue():
        //            JSFUtils.addFacesErrorMessage(informationMessage.getMessage());
        //            break;
        //        case UserInformationMessage.INFO_MESSAGE_TYPE_INFO.intValue():
        //            JSFUtils.addFacesInformationMessage(informationMessage.getMessage());
        //            break;
        //        case UserInformationMessage.INFO_MESSAGE_TYPE_WARNING.intValue():
        //            JSFUtils.addFacesWarningMessage(informationMessage.getMessage());
        //            break;
        //        default:
        //        }

    }

    //    public static RichImage createImageIcon(String path)
    //    {
    //        try
    //        {
    //            return ResourceHelper.createImageIcon(path);
    //        }
    //        catch (Exception exc)
    //        {
    //            return null;
    //        }
    //    }
}
