package com.acme.structure.ui;


import java.io.Serializable;

public class UserInformationMessage implements Serializable
{
    private Integer messageType;
    public static final Integer INFO_MESSAGE_TYPE_INFO = new Integer(1);
    public static final Integer INFO_MESSAGE_TYPE_WARNING = new Integer(2);
    public static final Integer INFO_MESSAGE_TYPE_ERROR = new Integer(3);

    private String message;
    private String iconPath;
    private String styleClass;
    private String messageTime;

    public void setMessage(String exceptionMessage)
    {
        this.message = exceptionMessage;
    }

    public String getMessage()
    {
        return message;
    }

    public void setIconPath(String iconPath)
    {
        this.iconPath = iconPath;
    }

    public String getIconPath()
    {
        return iconPath;
    }

    public void setStyleClass(String styleClass)
    {
        this.styleClass = styleClass;
    }

    public String getStyleClass()
    {
        return styleClass;
    }

    public void setMessageTime(String exceptionTime)
    {
        this.messageTime = exceptionTime;
    }

    public String getMessageTime()
    {
        return messageTime;
    }

    public void setMessageType(Integer messageType)
    {
        this.messageType = messageType;
    }

    public Integer getMessageType()
    {
        return messageType;
    }

    public String toString()
    {
        return getMessageTime() + getMessage();
    }
}
