package com.acme.structure.util.datalist;


import java.util.Vector;

import oracle.adfmf.javax.faces.model.SelectItem;


public abstract class SimpleListSupplier extends BaseListSupplier
{
    public SimpleListSupplier()
    {
        setBlankItemApplied(true);
        //setRadioButtonApplied(false);
        list = new Vector();
        itemList = new SelectItem[0];
        if (addList())
            loadList();
    }

    public SimpleListSupplier(boolean blankItemApplied)
    {
        setBlankItemApplied(blankItemApplied);
        list = new Vector();
        itemList = new SelectItem[0];
        if (addList())
            loadList();
    }

    public boolean isVolatile()
    {
        return false;
    }

    public Vector getList(Object criteria)
    {
        return list;
    }

    public SelectItem[] getItemList()
    {
        return itemList;
    }

    protected void loadList()
    {
    }

    protected void loadList(Object criteria)
    {
    }
}
